summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Hierling <mad@cc.fh-luh.de>2006-11-03 21:02:32 +0000
committerMartin Hierling <mad@cc.fh-luh.de>2006-11-03 21:02:32 +0000
commite399a12a0c4b31c5e28e33b3848f918b3b5a05ae (patch)
tree318d4a136c7ca89991d5fc7314c6d1769b9916e2 /net-mail/dbmail/dbmail-2.1.7.ebuild
parentx11-misc/slock: Version bump (diff)
downloadsunrise-e399a12a0c4b31c5e28e33b3848f918b3b5a05ae.tar.gz
sunrise-e399a12a0c4b31c5e28e33b3848f918b3b5a05ae.tar.bz2
sunrise-e399a12a0c4b31c5e28e33b3848f918b3b5a05ae.zip
net-mail/dbmail: added sieve and ldap support, removed db dep logic
svn path=/sunrise/; revision=1804
Diffstat (limited to 'net-mail/dbmail/dbmail-2.1.7.ebuild')
-rw-r--r--net-mail/dbmail/dbmail-2.1.7.ebuild29
1 files changed, 15 insertions, 14 deletions
diff --git a/net-mail/dbmail/dbmail-2.1.7.ebuild b/net-mail/dbmail/dbmail-2.1.7.ebuild
index 135cd755b..b6b4b819a 100644
--- a/net-mail/dbmail/dbmail-2.1.7.ebuild
+++ b/net-mail/dbmail/dbmail-2.1.7.ebuild
@@ -11,11 +11,13 @@ SRC_URI="http://www.dbmail.org/download/2.1/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="ssl postgres"
+IUSE="ssl postgres mysql sqlite3 sieve"
DEPEND="ssl? ( dev-libs/openssl )
postgres? ( >=dev-db/postgresql-7.4 )
- !postgres? ( >=dev-db/mysql-4.1.13 )
+ mysql? ( >=dev-db/mysql-4.1.13 )
+ sqlite3? ( >=dev-db/sqlite-3.0 )
+ sieve? ( >=mail-filter/libsieve-2.2.1 )
app-text/asciidoc
app-text/xmlto
sys-libs/zlib
@@ -26,35 +28,33 @@ DEPEND="ssl? ( dev-libs/openssl )
#depend dev-db/sqlite
pkg_setup() {
- if use postgres && has_version dev-db/mysql ; then
- elog "You have postgres use flag set, ${PN} will compile against PostgreSQL."
- elog "If you want to use MySQL instead, unset postgres use flag for this ebuild:"
- einfo
- elog "echo \"net-mail/dbmail -postgres\" >> /etc/portage/package.use"
- einfo
- epause 3
- fi
-
enewgroup dbmail
enewuser dbmail -1 -1 /var/lib/dbmail dbmail
}
src_compile() {
+ use sqlite3 && myconf="--with-sqlite"
+ use ldap && myconf=${myconf}" --with-auth-ldap"
+
econf \
--sysconfdir=/etc/dbmail \
+ ${myconf} \
+ $(use_enable static) \
+ $(use_with sieve) \
$(use_with ssl) \
$(use_with postgres) \
- $(use_with !postgres mysql) || die "econf failed"
+ $(use_with mysql) || die "econf failed"
emake || die "emake failed"
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
- dodoc AUTHORS BUGS EXTRAS ChangeLog UPGRADING \
- INSTALL* VERSION NEWS README THANKS TODO
+ dodoc AUTHORS BUGS ChangeLog README README.* \
+ INSTALL* NEWS THANKS TODO
dodoc sql/mysql/*
dodoc sql/postgresql/*
+ dodoc sql/sqlite/*
sed -i -e "s:nobody:dbmail:" dbmail.conf
sed -i -e "s:nogroup:dbmail:" dbmail.conf
@@ -64,6 +64,7 @@ src_install() {
newinitd "${FILESDIR}"/dbmail-imapd.initd dbmail-imapd
newinitd "${FILESDIR}"/dbmail-lmtpd.initd dbmail-lmtpd
newinitd "${FILESDIR}"/dbmail-pop3d.initd dbmail-pop3d
+ use sieve && newinitd "${FILESDIR}"/dbmail-timsieved.initd dbmail-timsieved
dobin contrib/mailbox2dbmail/mailbox2dbmail
doman contrib/mailbox2dbmail/mailbox2dbmail.1